#!/bin/bash
# Generation XSLT
# Ce traitement utilise le processeur SAXON
#   qui nécessite la présence de Java.
# Se positionner a la racine du site
# Exemple sous cygwin
#  cd /cygdrive/f/www_template/www
# Parametres :
#  1 nom du fichier XML source sans le chemin 
#  2 nom du fichier html a generer ( x = tous )
# Exemple pour creer une page
#  ../bin/gen.sh template.xml index.html
# Exemple pour creer toutes les pages definies dans template.xml
#  ../bin/gen.sh template.xml x

# Repertoire des sources
export RSRC=../SRC
# Repertoire des transformations XSL
export RXSL=../XSL
# Chemin et fichier de configuration
export FCONFIG=../www/design/Config.xml
# Zone de travail
export TMP=../tmp
if [[ -d $TMP ]]
then echo '*'
else
    mkdir $TMP 
fi

if [[ -f $RSRC/$1 ]] 
  then
   export DATHEUR=$(date +%d/%m/%Y_%T)
   echo " Fichier xml lu :" $RSRC/$1
   echo "   Page traitee :" $2  
   echo "     Horodatage :" $DATHEUR
   export MAINCLASS=net.sf.saxon.Transform
   java -cp `cygpath -wp ../bin/xmlresolver.jar:../bin/saxon.jar` \
    $MAINCLASS \
    -s:$RSRC/$1 -xsl:$RXSL/dg8.xsl \
    dateheure=$DATHEUR page=$2 fxml=$RSRC/$1 \
    option=test fconfig=$FCONFIG \
    | findstr /B ":" > $TMP/trace.txt
    if [ $? != 0 ]
      then
        echo "Probleme Java ?"
        echo "Appuyer sur Entrée pour terminer"
        read zorglub
      fi   
   else
     echo " "
     echo "*** $RSRC/$1 inconnu !"
     echo "Appuyer sur Entrée pour terminer"
     read zorglub
     exit
fi

if [[ $2 = "x" ]] 
   then 
     exit
   else
  if [[ -f $2 ]] 
    then 
     lynx $2
    else
     echo " "
     echo "*** $2 inconnu !"
     echo "Appuyer sur Entrée pour terminer"
     read zorglub
     exit
  fi
fi